package com.platform.dao;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.platform.entity.GoodsVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author lipengjun
 * @email 939961241@qq.com
 * @gitee https://gitee.com/fuyang_lipengjun/platform
 * @date 2017-08-11 09:16:45
 */
public interface ApiGoodsMapper extends BaseDao<GoodsVo> {

    public GoodsVo queryObjectForUpdate(@Param("id") Integer id);

    List<GoodsVo> queryHotGoodsList(Map<String, Object> params);

    List<GoodsVo> queryCatalogProductList(Map<String, Object> params);

    public GoodsVo getGoodsByName(@Param("name") String name);

    List<Map<String,Object>> getGoodsCategory(@Param("ew") QueryWrapper<GoodsVo> queryWrapper);

    public int countGoodsOfBrand(@Param("brandId") Integer brandId , @Param("isDelete") Integer isDelete ,@Param("isOnSale") Integer isOnSale);

}
